View Issue Details

IDProjectCategoryView StatusLast Update
0001382ScribusFontspublic2004-12-18 12:34
ReporterReor Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSLinuxOS VersionKnoppix v3.4
Product Version1.2 
Target VersionFixed in Version1.2.1cvs 
Summary0001382: "Non-breaking space" character rendered as "unknown character" in PDF output
DescriptionI have imported texts from Word/OpenOffice documents, some of them containing the non-breaking space character that is automatically added before/after punctuation signs (double quotes, commas, etc) in French. I need to use that character to have the text editor respect the hyphenation rules.
Unfortunately, the PDF output (esp. when viewed with Acrobat Reader) displays that character as an unknown character instead of a space. Would it be possible to correct this, if only replacing the non-breaking space by a regular space character when generating the PDF ?
TagsNo tags attached.
Patch

Relationships

related to 0001027 closedsubik Exporting to PDF results in weird chars in the PDF document 
related to 0003828 acknowledged Metabug: Hyphenation 

Activities

cbradney

2004-12-14 00:49

administrator   ~0003142

Can you please upload a sample file? Both the source before Scribus and your SLA file, perhaps your PDF too. Doesnt need to be too big.

ringerc

2004-12-14 06:54

reporter   ~0003144

I've seen the issue you describe with non-breaking spaces in the past. If I recall correctly, the issue turned out to be a limitation in older versions of Acrobat Reader to do with the handling of two-byte TrueType fonts. Exporting the Scribus document with font subsetting enabled (actually converts to outlines) solved the issue, as did using Acrobat 6 to view the document. The short words plugin was inserting the non-breaking spaces.

Issue History

Date Modified Username Field Change
2004-12-13 13:35 Reor New Issue
2004-12-14 00:49 cbradney Note Added: 0003142
2004-12-14 06:54 ringerc Note Added: 0003144
2004-12-14 06:55 ringerc Relationship added related to 0001027
2004-12-14 23:42 fschmid Status new => resolved
2004-12-14 23:42 fschmid Fixed in Version => 1.2.1cvs
2004-12-14 23:42 fschmid Resolution open => fixed
2004-12-14 23:42 fschmid Assigned To => fschmid
2004-12-18 12:34 cbradney Status resolved => closed
2006-05-16 22:19 christoph_s Relationship added related to 0003828